Installation of qiime2. version 2023.7 in mac m1

Hello,

i have been trying to install qiime 2 version 2023.7 on my mac m1. I was able to install miniconda and checked the version using "conda --version". and then tried to update using "conda update conda" which didnt work giving an error message that

UserWarning: zstandard could not be imported. Running without .conda support.
warnings.warn("zstandard could not be imported. Running without .conda support.")

environment variables:
conda info could not be constructed.
KeyError('pkgs_dirs')??

After this i again tried to check the conda version but this time it didnt work.

could you please suggest a solution.

Hello @C_V_Reddy,

Would you mind posting the full terminal output including the commands you entered?

Hello @colinvwood, below output is for "conda --version".

(base) varunkumarreddycheruku@Varuns-MBP ~ % conda --version
/Users/varunkumarreddycheruku/miniconda3/lib/python3.11/site-packages/conda_package_streaming/package_streaming.py:25: UserWarning: zstandard could not be imported. Running without .conda support.
warnings.warn("zstandard could not be imported. Running without .conda support.")
/Users/varunkumarreddycheruku/miniconda3/lib/python3.11/site-packages/conda_package_handling/api.py:29: UserWarning: Install zstandard Python bindings for .conda support
_warnings.warn("Install zstandard Python bindings for .conda support")
KeyError('pkgs_dirs')
Traceback (most recent call last):
File "/Users/varunkumarreddycheruku/miniconda3/lib/python3.11/site-packages/conda/exception_handler.py", line 17, in call
return func(*args, **kwargs)
^^^^^^^^^^^^^^^^^^^^^
File "/Users/varunkumarreddycheruku/miniconda3/lib/python3.11/site-packages/conda/cli/main.py", line 54, in main_subshell
parser = generate_parser(add_help=True)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "/Users/varunkumarreddycheruku/miniconda3/lib/python3.11/site-packages/conda/cli/conda_argparse.py", line 115, in generate_parser
configure_parser_create(sub_parsers)
File "/Users/varunkumarreddycheruku/miniconda3/lib/python3.11/site-packages/conda/cli/conda_argparse.py", line 767, in configure_parser_create
add_parser_solver(solver_mode_options)
File "/Users/varunkumarreddycheruku/miniconda3/lib/python3.11/site-packages/conda/cli/conda_argparse.py", line 1975, in add_parser_solver
solver.name for solver in context.plugin_manager.get_hook_results("solvers")
^^^^^^^^^^^^^^^^^^^^^^
File "/Users/varunkumarreddycheruku/miniconda3/lib/python3.11/site-packages/conda/base/context.py", line 492, in plugin_manager
from ..plugins.manager import get_plugin_manager
File "/Users/varunkumarreddycheruku/miniconda3/lib/python3.11/site-packages/conda/plugins/manager.py", line 23, in
from . import solvers, subcommands, virtual_packages
File "/Users/varunkumarreddycheruku/miniconda3/lib/python3.11/site-packages/conda/plugins/virtual_packages/init.py", line 5, in
from . import archspec, cuda, freebsd, linux, osx, windows
File "/Users/varunkumarreddycheruku/miniconda3/lib/python3.11/site-packages/conda/plugins/virtual_packages/cuda.py", line 4, in
import ctypes
File "/Users/varunkumarreddycheruku/miniconda3/lib/python3.11/ctypes/init.py", line 8, in
from _ctypes import Union, Structure, Array
ImportError: dlopen(/Users/varunkumarreddycheruku/miniconda3/lib/python3.11/lib-dynload/_ctypes.cpython-311-darwin.so, 0x0002): Library not loaded: @rpath/libffi.8.dylib
Referenced from: /Users/varunkumarreddycheruku/miniconda3/lib/python3.11/lib-dynload/_ctypes.cpython-311-darwin.so
Reason: tried: '/Users/varunkumarreddycheruku/miniconda3/lib/python3.11/lib-dynload/../../libffi.8.dylib' (mach-o file, but is an incompatible architecture (have 'x86_64', need 'arm64')), '/Users/varunkumarreddycheruku/miniconda3/lib/python3.11/lib-dynload/../../libffi.8.dylib' (mach-o file, but is an incompatible architecture (have 'x86_64', need 'arm64')), '/Users/varunkumarreddycheruku/miniconda3/bin/../lib/libffi.8.dylib' (mach-o file, but is an incompatible architecture (have 'x86_64', need 'arm64')), '/Users/varunkumarreddycheruku/miniconda3/bin/../lib/libffi.8.dylib' (mach-o file, but is an incompatible architecture (have 'x86_64', need 'arm64')), '/usr/local/lib/libffi.8.dylib' (no such file), '/usr/lib/libffi.8.dylib' (no such file, not in dyld cache)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/Users/varunkumarreddycheruku/miniconda3/lib/python3.11/site-packages/conda/exception_handler.py", line 166, in print_unexpected_error_report
get_main_info_str(error_report["conda_info"])
File "/Users/varunkumarreddycheruku/miniconda3/lib/python3.11/site-packages/conda/cli/main_info.py", line 254, in get_main_info_str
info_dict[f"_{key}"] = ("\n" + 26 * " ").join(map(str, info_dict[key]))
~~~~~~~~~^^^^^
KeyError: 'pkgs_dirs'

>>>>>>>>>>>>>>>>>>>>>> ERROR REPORT <<<<<<<<<<<<<<<<<<<<<<

Traceback (most recent call last):
  File "/Users/varunkumarreddycheruku/miniconda3/lib/python3.11/site-packages/conda/exception_handler.py", line 17, in __call__
    return func(*args, **kwargs)
           ^^^^^^^^^^^^^^^^^^^^^
  File "/Users/varunkumarreddycheruku/miniconda3/lib/python3.11/site-packages/conda/cli/main.py", line 54, in main_subshell
    parser = generate_parser(add_help=True)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/Users/varunkumarreddycheruku/miniconda3/lib/python3.11/site-packages/conda/cli/conda_argparse.py", line 115, in generate_parser
    configure_parser_create(sub_parsers)
  File "/Users/varunkumarreddycheruku/miniconda3/lib/python3.11/site-packages/conda/cli/conda_argparse.py", line 767, in configure_parser_create
    add_parser_solver(solver_mode_options)
  File "/Users/varunkumarreddycheruku/miniconda3/lib/python3.11/site-packages/conda/cli/conda_argparse.py", line 1975, in add_parser_solver
    solver.name for solver in context.plugin_manager.get_hook_results("solvers")
                              ^^^^^^^^^^^^^^^^^^^^^^
  File "/Users/varunkumarreddycheruku/miniconda3/lib/python3.11/site-packages/conda/base/context.py", line 492, in plugin_manager
    from ..plugins.manager import get_plugin_manager
  File "/Users/varunkumarreddycheruku/miniconda3/lib/python3.11/site-packages/conda/plugins/manager.py", line 23, in <module>
    from . import solvers, subcommands, virtual_packages
  File "/Users/varunkumarreddycheruku/miniconda3/lib/python3.11/site-packages/conda/plugins/virtual_packages/__init__.py", line 5, in <module>
    from . import archspec, cuda, freebsd, linux, osx, windows
  File "/Users/varunkumarreddycheruku/miniconda3/lib/python3.11/site-packages/conda/plugins/virtual_packages/cuda.py", line 4, in <module>
    import ctypes
  File "/Users/varunkumarreddycheruku/miniconda3/lib/python3.11/ctypes/__init__.py", line 8, in <module>
    from _ctypes import Union, Structure, Array
ImportError: dlopen(/Users/varunkumarreddycheruku/miniconda3/lib/python3.11/lib-dynload/_ctypes.cpython-311-darwin.so, 0x0002): Library not loaded: @rpath/libffi.8.dylib
  Referenced from: <B13A18AB-842E-3BB1-9017-163C76A9D5C0> /Users/varunkumarreddycheruku/miniconda3/lib/python3.11/lib-dynload/_ctypes.cpython-311-darwin.so
  Reason: tried: '/Users/varunkumarreddycheruku/miniconda3/lib/python3.11/lib-dynload/../../libffi.8.dylib' (mach-o file, but is an incompatible architecture (have 'x86_64', need 'arm64')), '/Users/varunkumarreddycheruku/miniconda3/lib/python3.11/lib-dynload/../../libffi.8.dylib' (mach-o file, but is an incompatible architecture (have 'x86_64', need 'arm64')), '/Users/varunkumarreddycheruku/miniconda3/bin/../lib/libffi.8.dylib' (mach-o file, but is an incompatible architecture (have 'x86_64', need 'arm64')), '/Users/varunkumarreddycheruku/miniconda3/bin/../lib/libffi.8.dylib' (mach-o file, but is an incompatible architecture (have 'x86_64', need 'arm64')), '/usr/local/lib/libffi.8.dylib' (no such file), '/usr/lib/libffi.8.dylib' (no such file, not in dyld cache)

$ /Users/varunkumarreddycheruku/miniconda3/bin/conda --version

environment variables:
conda info could not be constructed.
KeyError('pkgs_dirs')

An unexpected error has occurred. Conda has prepared the above report.
If you suspect this error is being caused by a malfunctioning plugin,
consider using the --no-plugins option to turn off plugins.

Example: conda --no-plugins install

Alternatively, you can set the CONDA_NO_PLUGINS environment variable on
the command line to run the command without plugins enabled.

Example: CONDA_NO_PLUGINS=true conda install

If submitted, this report will be used by core maintainers to improve
future releases of conda.
Would you like conda to send this report to the core maintainers? [y/N]:

This output is for "conda update conda"

$ /Users/varunkumarreddycheruku/miniconda3/bin/conda update conda`

environment variables:

conda info could not be constructed.

KeyError('pkgs_dirs')

An unexpected error has occurred. Conda has prepared the above report.

If you suspect this error is being caused by a malfunctioning plugin,

consider using the --no-plugins option to turn off plugins.

Example: conda --no-plugins install

Alternatively, you can set the CONDA_NO_PLUGINS environment variable on

the command line to run the command without plugins enabled.

Example: CONDA_NO_PLUGINS=true conda install

If submitted, this report will be used by core maintainers to improve

future releases of conda.

Would you like conda to send this report to the core maintainers? [y/N]:

Hello @C_V_Reddy,

Which miniconda installer did you use?

I used "Miniconda3 macOS Apple M1 64-bit pkg"

Hello @C_V_Reddy,

Okay. I would simply the installation all over again from scratch.

1 Like

i did the same thing many times but the same error all the times. could you please suggest any other means.

Also sometimes it says "environment file not found"

Hello @C_V_Reddy,

Also sometimes it says "environment file not found"

This means that the environment file that you specified when trying to create an environment was not found. Either you forgot to download it, or there's a typo, or it's in a different directory, etc.

i did the same thing many times but the same error all the times. could you please suggest any other means.

You could try a different method of installing conda, e.g. using anaconda.

could you please let me know how to download the environment file.

Hello @C_V_Reddy,

The steps for installing a qiime environment, including downloading the environment file, can be found here. The wget https://data.qiime2.org/... is the part that downloads the environment file.

1 Like

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.